Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Überschreiben von Dateien in GNOME applet NetworkManager
Aktuelle Meldungen Distributionen
Name: Überschreiben von Dateien in GNOME applet NetworkManager
ID: 201707-09
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: So, 9. Juli 2017, 12:44
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-6590

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--V64nkDb7vqCDRxDBLcNc9e7tb1AB0QnBM
Content-Type: multipart/mixed;
boundary="4AbbGsjn8tKp94MPIOwAVOqtPgvXoiKog";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID: <3e88af9e-7695-b237-25ec-44d8145a471a@gentoo.org>
Subject: [ GLSA 201707-09 ] GNOME applet for NetworkManager: Arbitrary file
read/write

--4AbbGsjn8tKp94MPIOwAVOqtPgvXoiKog
Content-Type: text/plain; charset=utf-8
Content-Language: en-U
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201707-09
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: GNOME applet for NetworkManager: Arbitrary file read/write
Date: July 08, 2017
Bugs: #613768
ID: 201707-09

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability has been found in GNOME applet for NetworkManager
allowing local attackers to access the local filesystem.

Background
==========

GNOME applet for NetworkManager is a GTK+ 3 front-end which works under
Xorg environments with a systray.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 gnome-extra/nm-applet < 1.4.6-r1 >= 1.4.6-r1

Description
===========

Frederic Bardy and Quentin Biguenet discovered that GNOME applet for
NetworkManager incorrectly checked permissions when connecting to
certain wireless networks.

Impact
======

A local attacker could bypass security restrictions at the login screen
to access local files.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All GNOME applet for NetworkManager users should upgrade to the latest
version:

# emerge --sync
# emerge --ask --oneshot --verbose
">=gnome-extra/nm-applet-1.4.6-r1"

References
==========

[ 1 ] CVE-2017-6590
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-6590

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201707-09

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--4AbbGsjn8tKp94MPIOwAVOqtPgvXoiKog--

--V64nkDb7vqCDRxDBLcNc9e7tb1AB0QnBM
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJZYM+QXxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/I1NoQALQAyaQzfsdceTBsR7pYnTWv
uvvZf5l7O0Y//I6rWiv+rmcySeqxHFD76OLOJLBfzPsS0pE2Q6DBKLWrTC9h9zLR
CPfmDhcUQTohNjLABfCO5Z6O0eN1VebX2rMS/4G79a2yy7etv0ZptYZ15ZhfKMm9
917rr+kMuw+we+f+6JHJqtfgVC5/fysZ1FqQrrft8rGSem777n5jtk9pTzZoaeOZ
vg1OG+DUtwFb9/rHBcJEHZYmw6WttQCOzMa2cvQI9cMAyVQVzjLQlU9gpPAp+e47
FDlqw1HkgoB7NrKJy2RyJJ9E6JhjQ3SvJmFa67T87cBIKhuRehb3e6g2UfroXmbo
MVS+INKTarCi1Tsuuj82x5LUSWmym+ScXyRKfIclVy74PiyK6zNUQd2lnvmUxg9O
cF74CxCs0Zowfl7+/PL3abeqPg/fDhRLvFDy5umDPt7XIt+7IAZ9T/i3pBXurqQG
3NRp6OWA6iIT69ay1fnSVbbufjJnC3Vym1axuigCgZOsbc99F850jisehBYBzyir
pKzptgSNs2MYyf0975aPwSwuF4Wrw6CeJo6/FhSy13njs/VN9/SvTm2fS3NXemPo
N1AtTmVVxT+xA6kwrJbWjOzRjirR7E4dkZucCdB4m1rTKxlIi0HzdIJKDFb1Oeho
Uy5xY695CmRxoKCB/hPK
=Vzzx
-----END PGP SIGNATURE-----

--V64nkDb7vqCDRxDBLcNc9e7tb1AB0QnBM--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung